std::shared_mutex(3cxx)

NAME
std::shared_mutex - The standard shared mutex type.

SYNOPSIS

  Public Member Functions

shared_mutex (const shared_mutex &)=delete
void lock ()
void lock_shared ()
shared_mutex & operator= (const shared_mutex &)=delete
bool try_lock ()
bool try_lock_shared ()
void unlock ()
void unlock_shared ()

  Related Functions
(Note that these are not member functions.)
template<typename _Mutex > void swap (shared_lock< _Mutex > &__x, shared_lock< _Mutex > &__y) noexcept
Swap specialization for shared_lock.

Detailed Description

The standard shared mutex type.

Author

Generated automatically by Doxygen for libstdc++ from the source code.